x86info(1)

NAME
x86info — display x86 CPU diagnostics

SYNOPSIS

x86info [-a] [-c] [-f] [fB-F] [-m] [-mhz] [-r] [?] [--all] [--cache] [--flags] [--verbose] [--msr] [--mhz] [--registers] [--help]

DESCRIPTION

This manual page documents x86info, a program which displays a range of information about the CPUs present in an x86 system.

In order to make full use of this program you need to have the CPU ID and MSR device drivers in your kernel with accessible device files /dev/cpu/<n>/cpuid and /dev/cpu/<n>/msr.

OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

?           --help
    Show summary of options.

-a           --all
    Show all information. Equivalent to
    -c -f -m         -r -mhz.

-c           --cache
    Show TLB, cache sizes and cache associativity.

-f           --flags
    Show CPU feature flags.

-m           --msr
    Dump model specific registers. This feature is currently only supported on a few different processors. Future versions will include parsing of bits in MSRs for all processors.

-mhz           --mhz
    Estimate current clock rate.

-mp            --mptable
    Dump MP table showing CPUs BIOS knows about.

-r           --registers
    Show register values from all possible cpuid calls.

-s           --show-machine-check
    Show machine check exception information.

-v           --verbose
    Show verbose descriptions.

AUTHOR

x86info was written by Dave Jones <davej@redhat.com>.

This manual page was written by Mark Brown <broonie@debian.org> for the Debian GNU/Linux system (but may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License version 2.